Bug 77523 - [Chromium] Layout Test media/media-fragments/TC0080-TC0089.html is slow
Summary: [Chromium] Layout Test media/media-fragments/TC0080-TC0089.html is slow
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Victoria Kirst
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-01 01:25 PST by Yuzo Fujishima
Modified: 2012-08-03 23:22 PDT (History)
6 users (show)

See Also:


Attachments
Patch (121.31 KB, patch)
2012-08-03 16:25 PDT, Ami Fischman
no flags Details | Formatted Diff | Diff
Patch (121.02 KB, patch)
2012-08-03 22:03 PDT, Ami Fischman
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuzo Fujishima 2012-02-01 01:25:25 PST
The following layout test is slow on WIN and MAC.

media/media-fragments/TC0080-TC0089.html
Comment 1 Julien Chaffraix 2012-02-08 10:28:34 PST
It looks like this was never added to our test_expectations.txt.

I just marked the test as SLOW on Windows Release as it has been timing out randomly and doesn't seem flaky on other platforms.
Comment 2 Adrienne Walker 2012-02-23 15:20:16 PST
Committed r108683: <http://trac.webkit.org/changeset/108683>
Comment 3 Adrienne Walker 2012-02-23 15:30:19 PST
OOPS.
Comment 4 Ami Fischman 2012-07-31 18:10:07 PDT
Same problem as bug 76967.
Comment 5 Ami Fischman 2012-08-03 16:25:08 PDT
Created attachment 156479 [details]
Patch
Comment 6 Ami Fischman 2012-08-03 16:26:18 PDT
The new expectations are copied from the old ones, and the count of test cases (68) matches between the .js containing them and n-r-w-t's opinion of how many tests there are, so I think I managed to avoid messing up in the transition.
Comment 7 Eric Carlson 2012-08-03 16:35:20 PDT
Comment on attachment 156479 [details]
Patch

Setting r+, but waiting on the cq+ until the ews bots have had a chance to check it out.
Comment 8 WebKit Review Bot 2012-08-03 20:17:49 PDT
Comment on attachment 156479 [details]
Patch

Rejecting attachment 156479 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 2

Last 500 characters of output:
TC0094.html
patching file LayoutTests/media/media-fragments/media-fragments.js
patching file LayoutTests/platform/chromium/TestExpectations
Hunk #1 FAILED at 61.
Hunk #2 FAILED at 2832.
2 out of 2 hunks FAILED -- saving rejects to file LayoutTests/platform/chromium/TestExpectations.rej
patching file LayoutTests/platform/wk2/Skipped

Failed to run "[u'/mnt/git/webkit-commit-queue/Tools/Scripts/svn-apply', u'--force', u'--reviewer', u'Eric Carls..." exit_code: 1 cwd: /mnt/git/webkit-commit-queue/

Full output: http://queues.webkit.org/results/13430626
Comment 9 Ami Fischman 2012-08-03 22:03:10 PDT
Created attachment 156512 [details]
Patch
Comment 10 Ami Fischman 2012-08-03 22:03:44 PDT
Comment on attachment 156512 [details]
Patch

Rebased patch to HEAD.
Comment 11 WebKit Review Bot 2012-08-03 23:22:24 PDT
Comment on attachment 156512 [details]
Patch

Clearing flags on attachment: 156512

Committed r124690: <http://trac.webkit.org/changeset/124690>
Comment 12 WebKit Review Bot 2012-08-03 23:22:28 PDT
All reviewed patches have been landed.  Closing bug.